--[[ Move PVP Capture Bar back to the screen ]]
-- from "SSPVP 3" by "Mayen/Selari"

if not FixR then return end

local DefaultO = {}
local misc = {
  ["desc"] = "Move PVP Capture Bar back to the screen";
}

local M = FixR:NewModule("MovePVPCaptureBar", DefaultO, misc)

local WorldStateCB_OnManageFramePositions = function(bar, parent)
  if NUM_EXTENDED_UI_FRAMES > 0 and _G["WorldStateCaptureBar1"] then
    if M.O["enabled"] then
      _G["WorldStateCaptureBar1"]:SetClampedToScreen(true)
    end
  end
end

function M:Load()
  if ExtendedUI and ExtendedUI.CAPTUREPOINT then
    hooksecurefunc("UIParent_ManageFramePositions", WorldStateCB_OnManageFramePositions)
  end
end